pkg load symbolic
syms x y a b

% Brueche, Dez.zahlen
zahl = 1 / 3
zahl = sym(1/3)
double(zahl)

% Funktionen definieren
f(x) = x^2 -2*x + 1;
g(x) = x^3 + 3*x^2 + 3*x + 1;
h(x) = f(x) * g(x)
ausmultiplizieren = expand(h(x))
faktorisieren = factor(h(x))

% Gleichung
solve( f(x) == g(x), x)

% Int-, Diffrechnung
int(g(x), x)
latex(int(g(x),x))
area = int(f(x), x, 1, 3)
double(area)

dg(x) = diff(g(x),x)
dg(1)

% Gleichungen mehrere Unbekannte
solve( 3*x == 2*y + 10, y -3*x == 0, x, y)

% Limit
g_durch_f = g (x) / f(x)
limit (g(x) / f(x), x, 3)
limit (g(x) / f(x), x, sym(inf))
limit ((g(x)-x^3) / f(x), x, sym(inf))